- Extending Qt Creator Manual
- QtCreator
- QrcCache
- Extending Qt Creator Manual 13.0.0

# QrcCache Class

class Utils::QrcCache

The QrcCache class caches the contents of parsed QRC files. More...

Header: | #include <QrcCache>

- List of all members, including inherited members

## Public Functions

QrcParser::ConstPtr | addPath(const QString &path, const QString &contents)
void | clear()
QrcParser::ConstPtr | parsedPath(const QString &path)
void | removePath(const QString &path)
QrcParser::ConstPtr | updatePath(const QString &path, const QString &contents)

## Detailed Description

See also Utils::QrcParser.

## Member Function Documentation

### QrcParser::ConstPtr QrcCache::addPath(const QString &path, const QString &contents)

Parses the QRC file at path and caches the parser. If contents is not empty, it is used as the file contents instead of reading it from the file system.

Returns whether the parsing succeeded.

See also QrcParser::errorMessages() and QrcParser::parseQrcFile().

### void QrcCache::clear()

Clears the contents of the cache.

### QrcParser::ConstPtr QrcCache::parsedPath(const QString &path)

Returns the cached QRC parser for the QRC file at path.

### void QrcCache::removePath(const QString &path)

Removes path from the cache.

### QrcParser::ConstPtr QrcCache::updatePath(const QString &path, const QString &contents)

Reparses the QRC file at path and returns the contents of the file.